Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Defines
ktulog.h File Reference

update logger More...

`#include <ktcommon.h>`
`#include <ktutil.h>`

## Classes
class | kyototycoon::UpdateLogger
| Update logger. More...
class | kyototycoon::UpdateLogger::Reader
| Reader of update logs. More...
struct | kyototycoon::UpdateLogger::FileStatus
| Status of each log file. More...
struct | kyototycoon::UpdateLogger::Log
| Log message.
class | kyototycoon::UpdateLogger::AutoFlusher
| Automatic flusher of cacheed logs.
## Namespaces
namespace | kyototycoon
| All symbols of Kyoto Tycoon.
## Defines
#define | KTULPATHEXT "ulog"
| extension of each file

## Detailed Description

update logger

## Define Documentation

#define KTULPATHEXT "ulog"

extension of each file